/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Procedure Action Values
 */
public enum EnumCV_ProcedureActionValues {

	//Procedure Action Values - CID 3405
	ATHERECTOMY_P1_30350("P1-30350"),
	ATHERECTOMY_BY_ROTARY_CUTTER_P1_30351("P1-30351"),
	ATHERECTOMY_BY_LASER_P1_30352("P1-30352"),
	SELECTIVE_EMBOLIZATION_OF_ARTERY_P1_30530("P1-30530"),
	PERCUTANEOUS_TRANSLUMINAL_BALLOON_ANGIOPLASTY_P5_31500("P5-31500"),
	TRANSCATHETER_THERAPY_FOR_EMBOLIZATION_P5_39010("P5-39010"),
	PERCUTANEOUSRETRIEVALOFINTRAVASCULAR_FOREIGNBODY_P5_39050("P5-39050"),
	STENT_PLACEMENT_P1_05550("P1-05550"),
	TRANSCATHETER_DEPLOYMENT_OF_DETACHABLE_BALLOON_P5_39015("P5-39015"),
	PERCUTANEOUSINSERTIONOFINTRAVASCULAR_FILTER_P5_39191("P5-39191");

	private String value;

	EnumCV_ProcedureActionValues(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
